Skip to main content
Bespoke Fields

Get a bespoke field by bespoke field id

This method requires the BespokeFields:Get permission to be associated with your role.

GET
/gb/bespoke-fields/{bespoke_field_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
bespoke_field_idstringrequired

Bespoke Field Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$

Response

application/vnd.catch-e-api.v1+json

Success

bespoke_field_idstring
Example: 123456
column_numberinteger
Example: 1
default_valuestring
field_namestring
Example: field_name_1
field_orderinteger
Example: 1
input_maxlengthinteger
input_rowsinteger
input_sizeinteger
input_typeenum<string>
Available options: text, date, checkbox, listbox, blank, number, label, textarea
Example: label
label_positionenum<string>
Available options: left, above
Example: left
table_namestring
Example: fm_contracts
validation_error_messagestring
validation_regular_expressionstring